<?php 

session_start();

include('mysql_connect.php');

if (!isset($_SESSION['username']) || $_SESSION['is_admin'] != 1) {
    header('Location: login_form.php');
    exit();
    //I learned the || function and the isset function from w3schools.com
}
?>

<!DOCTYPE html> 
<html lang="en">
<head>
    <meta charset= "UTF-8">
    <title> Admin Page  </title>
    <style>
        table {
            width:80%;
            border-collapse: collapse;
            margin: 20px auto;
        }
        
        th, td {
            border: 1px solid #ddd;
            padding: 8px;
            text-align: center;
        }
        th {
            background-color: #f4f4f4;
        }
    </style>
    
</head>
<body>
    <h1>Logged In!</h1>
    <p>Welcome! Admin <?php echo $_SESSION['username']; ?> . </p>
    <p>This page is only for administrators to view. </p>
    
    <h2>Registered Users</h2>
    
    <?php
    //Query to get users 
    
    $query ="SELECT id, username,email, is_admin FROM users";
    $result = mysqli_query($dbc, $query);
    
    if (mysqli_num_rows($result) > 0){
        echo "<table>";
        echo "<tr><th> ID</th><th>Username</th><th>Email</th><th>Role</th></tr>";
        
        while ($row = mysqli_fetch_assoc($result)){
            echo "<tr>";
            echo "<td>" . $row['id'] . "</td>";
            echo "<td>" . $row ['username'] . "</td>";
            echo "<td>" . $row ['email'] . "</td>";
            
            
            //Check role 
            echo "<td>";
            if ($row ['is_admin'] == 1){
                echo "Admin";
            } else {
                echo "User";
            }
            echo "</td>";
            
            echo "</tr>";
        }
        
        echo "</table>";
    } else {
        echo "<p> No users found. </p>";
    }
    
    mysqli_close($dbc); //Close database 
    
    ?>
    
    
    
    
    
    
    <p><a href="logout.php"> Log Out </a></p>
    
    
    
    
</body>
</html> 
